<?php
// this needs to be wefact, because you are extending a core controller
namespace wefact;

/** This is an example of extending a core plugin controller
 *  check the core/plugin/<PLUGIN>/controllers folder to see which controllers you can extend
 *
 *  Class Domain_Controller_Custom	this should always be the controller you extend (Domain_Controller) with the added _Custom
 */

class Domain_Controller_Custom extends Domain_Controller
{

	public function view()
	{
		// in this example we add extra data to the template
		// this way we can use $custom_header as a variable in the domain.view view
		$this->Template->custom_header = 'THIS IS A CUSTOM DOMAIN PAGE';

		parent::view();
	}

}